
Public Class Form1
    Private m_scope As Object
    Private m_Util As Object

    Private Sub ChooseButton_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ChooseButton.Click
        Dim ID As String
        Dim Chsr As Object = CreateObject("DriverHelper.Chooser")

        ID = "EQMOD.Telescope"

        'Chsr = New DriverHelper.Chooser
        Chsr.DeviceType = "Telescope"
        '  you can remember the scope ID and set it to give you the last one used
        ID = Chsr.Choose(ID)
        If ID <> "" Then
            m_scope = CreateObject(ID)
            ' connect to the scope
            m_scope.Connected = True
        End If
    End Sub

    Private Sub Start_Button_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Start_Button.Click
        If Not m_scope Is Nothing Then
            If m_scope.Connected Then
                m_scope.tracking = True
            End If
        End If
    End Sub

    Private Sub Stop_Button_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Stop_Button.Click
        If Not m_scope Is Nothing Then
            If m_scope.Connected Then
                m_scope.tracking = False
            End If
        End If
    End Sub

    Public Sub New()

        ' This call is required by the Windows Form Designer.
        InitializeComponent()

        ' Add any initialization after the InitializeComponent() call.
        m_Util = CreateObject("DriverHelper.Util")
    End Sub

    Private Sub RADEC_Timer_Tick(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles RADEC_Timer.Tick
        If Not m_scope Is Nothing Then
            If m_scope.Connected Then
                RA_Label.Text = m_Util.HoursToHMS(m_scope.RightAscension)
                DEC_Label.Text = m_Util.DegreesToDMS(m_scope.Declination)
            End If
        End If

    End Sub
End Class
